-- call_add_stock2.sql

DECLARE
  invalid_data_exception EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_data_exception, -20005);
BEGIN
  add_stock(7, 'BORL0015', 200);
EXCEPTION
  WHEN invalid_data_exception THEN
    add_stock(7, 'BORL0000015', 200);
END;
/

SELECT *
  FROM inventory
 WHERE store_number = 7
   AND product_id IN ('BORL0015', 'BORL0000015')
/
